gdlpp(1)

NAME
gdlpp - GDL (Graphite Description Language) preprocessor

SYNOPSIS
gdlpp [options] [infile [outfile] ]

OPTIONS

-B  No machine specific built-in symbols

-b  Output any parentheses, brace or bracket unbalance

-C  Write source file comments to output

-D  Define a symbol with the given (optional) value "symbol[=value]"

-d  Display all specified options

-E  Ignore non-fatal errors

-F  Output all included file names on stderr

-f  Output all defined functions' names on stderr

-H  Output all whitespaces from the source file

-h  Output this help text

-I  Add directory to the #include search list

-J  Allow nested comments

-j  Enable warnings for nested comments

-LL Don't output #line instructions

-L  Don't output the 'line' keyword in "#line" instructions

-M  Don't warn for missing include files

-N  Don't predefine target-specific names

-n  Toggle prefs usage

-P  Don't recognize C++ comment style

-p  Enable warnings on non ANSI preprocessor instructions

-Q  Ignore but visualize undefined flags

-q  Ignore all undefined flags

-R  Evaluate the right part first in symbol concatenations

-s  Include the following string at the top of each function

-S  Specify sizes for #if sizeof

-t  This function should not get an initial function

-U  Undefine symbol

-V  Output version information

-W  Output all #defines

-WWW
    Web mode preprocessing

-w  Only output #defines

-X  Include file